﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

//      Ce n'est pas en soi hyper-compliqué, mais il faut la jouer fine
//      Le branchement automatique des menus suppose une programmation récursive...
//      ...où seuls les éléments de plus bas niveau doivent déclencher une MessageBox
        

//      Au chargement, on balaye les éléments de plus haut niveau, 
//      en appelant à chaque fois une procédure dédiée
        private void Form1_Load(object sender, EventArgs e)
        {
            foreach (ToolStripMenuItem a in menuStrip1.Items)
            {
                explore(a);
            }
        }


//      Cette procédure s'appellera elle-même pour explorer les éventuels sous-menus, etc. 
        private void explore(ToolStripMenuItem menu)
        {
//          S'il n'y a plus rien en-dessous, on branche
            if (menu.DropDownItems.Count == 0)
            {
                menu.Click += new EventHandler(choix);
            }
//          sinon on explore ce qui se trouve dessous
            else
            {
                foreach (ToolStripMenuItem aa in menu.DropDownItems)
                {
                    explore(aa);
                }
            }
        }

        private void choix(object sender, EventArgs e)
        {
            ToolStripMenuItem truc = (ToolStripMenuItem)sender;
            string texte = truc.Text;
            MessageBox.Show("Vous avez choisi : " + texte, "Votre choix", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }




    }
}
